summaryrefslogtreecommitdiff
path: root/academic/orsa/orsa.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/orsa/orsa.SlackBuild')
-rw-r--r--academic/orsa/orsa.SlackBuild34
1 files changed, 19 insertions, 15 deletions
diff --git a/academic/orsa/orsa.SlackBuild b/academic/orsa/orsa.SlackBuild
index 4c7bd220f2..e2d4563d33 100644
--- a/academic/orsa/orsa.SlackBuild
+++ b/academic/orsa/orsa.SlackBuild
@@ -1,13 +1,11 @@
#!/bin/sh
-
# Slackware build script for orsa
-
# Written by Marco Cecchetti <mrc.ildp@gmail.com>
PRGNAM=${PRGNAM:-orsa}
VERSION=${VERSION:-0.7.0}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -17,10 +15,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -29,7 +30,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -45,21 +46,24 @@ patch -p1 < $CWD/orsa.patch
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --disable-static \
- --enable-shared \
- --with-mpi \
- --build=$ARCH-slackware-linux
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-shared \
+ --with-mpi \
+ --with-qt-dir=/opt/kde3/lib${LIBDIRSUFFIX}/qt3 \
+ --build=$ARCH-slackware-linux
- make
- make install DESTDIR=$PKG
+make
+make install DESTDIR=$PKG
+
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -72,4 +76,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}